# eric6.Preferences.ConfigurationPages.ProtobufPage

Module implementing the protobuf configuration page.

### Global Attributes

None

### Classes

ProtobufPage | Class implementing the protobuf configuration page.

### Functions

create | Module function to create the configuration page.

## ProtobufPage

Class implementing the protobuf configuration page.

### Derived from

ConfigurationPageBase, Ui_ProtobufPage

### Class Attributes

None

### Class Methods

None

### Methods

ProtobufPage | Constructor
save | Public slot to save the protobuf configuration.

### Static Methods

None

#### ProtobufPage (Constructor)

ProtobufPage()

Constructor

#### ProtobufPage.save

save()

Public slot to save the protobuf configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up